=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   12-4-2008
 Versie:  1.0
 Doel: Manipulaties met files
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.1
*******************************************************************
=end
# files2.rb :
require 'ftools'  # nodig voor File.copy
puts 'Het bestand bestaat' if File.exist?('klanten.txt')
File.rename('klanten.txt','klanten_week2.txt') if File.exist?('klanten.txt')
puts File.size('klanten_week2.txt')   # geeft 115, grootte in bytes
puts File.writable?('klanten_week2.txt')   # geeft true, bestand kan gewijzigd worden
puts File.dirname('klanten_week2.txt')   # geeft . = huidige map
puts File.dirname('c:\temp\test.txt')   # geeft c:\temp
puts File.basename('c:\temp\test.txt')   # geeft test.txt
File.delete('temp.txt') if File.exist?('temp.txt')
File.copy('klanten2.txt','klanten3.txt')
puts File.mtime('klanten2.txt') # geeft tijd-object Fri Mar 21 13:12:34 +0100 2008
puts File.file?('klanten2.txt') # test of argument een file is: geeft true
puts File.directory?('klanten2.txt') # test of argument een map is: geeft false


