=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   13-4-2008
 Versie:  1.0
 Doel: Net http
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.2
*******************************************************************
=end
# nethttp.rb :
# weergave html-code van de opgegeven website:
require 'net/http'
Net::HTTP.get_print('www.bbc.co.uk','/')
# opvangen html-code in een string content voor verdere manipulatie:
url = URI.parse('http://www.bbc.co.uk/')   # maak een url-object
response = Net::HTTP.start(url.host, url.port) do |http|
  http.get(url.path)    # maak een GET-request naar de website, response bevat de html-code
end
content = response.body
