=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   17-4-2008
 Versie:  1.0
 Doel: Gebruik van de standaard library erb
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.4
*******************************************************************
=end
# vb_erb.rb :
require 'erb'

arr_reclame = ['Bij ITMedia de beste Ruby boeken!',
                     'Bij ITMedia de beste Python boeken!',
                     'Bij ITMedia de beste C# boeken!']

template = <<EOF
<% 1.upto(5) do |i| %>
 <p> <font size=<%= i%>> Welkom bij ITMedia! </font></p>
<% end %>
<p>
<% arr_reclame.each_with_index do |item,index| %>
  <p> <b>Item <%= index %>:</b> <%= item %> </p>
<% end %>
EOF

# 2 manieren om het resultaat van de verwerking terug te krijgen:
#puts ERB.new(template).result
ERB.new(template).run