=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   4-5-2008
 Versie:  1.0
 Doel: Ondervragen van een mySQL database met ActiveRecord
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 12:  12.6
*******************************************************************
=end
# vb_activerecord.rb :
require 'rubygems'
require 'active_record'

def activerecord_connect
  ActiveRecord::Base.establish_connection(:adapter => "mysql",
                                          :host => "localhost",
                                          :username => "root",
                                          :password => "avalon",
                                          :database => "itmedia_development")
end

activerecord_connect

class Klant < ActiveRecord::Base
   set_table_name 'klanten'
end
 
 class Soort < ActiveRecord::Base
   set_table_name 'soorten'
end

# opzoeken van een record:
klant1 = Klant.find(:first)
puts "#{klant1.id}: heet #{klant1.voornaam} #{klant1.familienaam} en werkt als #{klant1.beroep}"

# aanmaken van een nieuw record en wegschrijven in de database:
# opmerking: onderstaande code kan maar 1x worden uitgevoerd,
#                 de 2e keer geeft dit een duplicate key error in de database-tabel!
#                 oplossing: zet soort1.save in commentaar
soort1 = Soort.new
soort1.id = 3
soort1.naam = 'opleiding'
#soort1.save

# toon alle soorten producten:
soorten=Soort.find(:all)
soorten.each do |soort|
    puts soort.id, soort.naam
end





