=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   1-5-2008
 Versie:  1.0
 Doel: Ondervragen van een mySQL database met gem mysql
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 12:  12.6
*******************************************************************
=end
# vb_dbi.rb :
require 'rubygems'
require 'dbi'

# Maak een connectie met de MySQL database 'itmedia_development' op de lokale computer 'localhost'
# username:  'root' met paswoord 'avalon'
begin
  db = DBI.connect('DBI:Mysql:itmedia_development:localhost', 'root', 'avalon')
 # Maak een query die gegevens opzoekt:
  query = db.prepare('select voornaam, id from klanten')
  query.execute
  while row = query.fetch do
   puts row[0], row[1]
  end
  query.finish
 # Alternatieve en elegantere manier om gegevens in te lezen:
  db.select_all("select familienaam from klanten") do |row|
                    puts row.inspect
  end
rescue DBI::DatabaseError => e
     puts "An error occurred"
     puts "Error code: #{e.err}"
     puts "Error message: #{e.errstr}"
ensure
     # sluit databaseconnectie
     db.disconnect if db
end

