=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   1-5-2008
 Versie:  1.0
 Doel: Ondervragen van een mySQL database met gem mysql
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 12:  12.5
*******************************************************************
=end
# vb_mysql.rb :
require 'rubygems'
require 'mysql'

# Maak een connectie met de MySQL database 'itmedia_development' op de lokale computer 'localhost'
# username:  'root' met paswoord 'avalon'
db = Mysql.connect('localhost', 'root', 'avalon', 'itmedia_development')

# Maak een query die gegevens opzoekt:
begin
  query = db.query('select id,voornaam,familienaam,beroep from klanten')
  puts "Er werden #{query.num_rows} records gevonden"
  query.each do |rec|
    puts rec.inspect
    puts rec[0],rec[1],rec[2]
  end
rescue
  puts db.errno
  puts db.error
ensure
     # sluit databaseconnectie
     db.close if db
end


