=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   5-3-2008
 Versie:  1.0
 Doel: Arrays: maken, items tonen en wijzigen.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.7
******************************************************************
=end
# maken van een array:
arr_talen = ['Java','C#','VB','Perl','Ruby']    # literal constructor
puts arr_talen
p arr_talen
puts arr_talen.length()         # geeft 5
puts arr_talen.size()            # geeft 5
arr_os = Array.new(5)
p arr_os
puts arr_os.length
# aanspreken van de items:
puts arr_talen[0]                 # geeft 'Java'
puts arr_talen[4]                 # geeft 'Ruby'
puts arr_talen[50]               # geeft nil
# de items een waarde geven:
arr_os[0] = 'Windows'
arr_os[1] = 'OS X'
arr_os[2] = 'Solaris'
arr_os[3] = 'Linux'
arr_os[4] = 'Unix'
p arr_os
p arr_os[8]     # geeft nil
# lege array:
a = []
p a
puts a.length
puts a.empty?
# achteraan beginnen tellen:
p arr_os[-1]                      # geeft 'Unix'
p arr_os[-3]                      # geeft 'Solaris'
# [] en []= met een lengte:
p arr_talen[1,2]                           # geeft ["C#", "VB"]
p arr_talen
arr_talen[2,2] = 'Eiffel','Python'   # vervangt VB en Perl door Eiffel en Python
p arr_talen
# kan ook met een slice:
p arr_talen[1..2]               # geeft nu ["C#", "Eiffel"]
arr_talen[2..3] = ['Eiffel','Python']
p arr_talen
# %w - notatie:
arr_talen = %w{'Java' 'C#' 'VB' 'Perl' 'Ruby'}
p arr_talen