=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   15-3-2008
 Versie:  1.0
 Doel: Hashes: maken, items tonen en wijzigen.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.8
******************************************************************
=end
# maken van een hash van uitgeverijen:
uitgeverijen = {  'PRAGP' => 'The Pragmatic Bookshelf',
                        'OREIL' => "O'Reilly & Associates, Inc.",
                        'PEAR'   => 'Pearson Education',
                        'MANN'   => 'Manning Publications Co.',
                        'ADWES'  =>  'Addison Wesley' }
p uitgeverijen
p uitgeverijen.length
h = {} 
p h.length
h = Hash.new
p h.empty? 
# sleutels en waarden:
p uitgeverijen.keys
p uitgeverijen.values
p uitgeverijen.sort
# symbol-notatie voor keys:
uitgeverijen = {  :PRAGP => 'The Pragmatic Bookshelf',
                        :OREIL => "O'Reilly & Associates, Inc.",
                        :PEAR  => 'Pearson Education',
                        :MANN => 'Manning Publications Co.',
                        :ADWES =>  'Addison Wesley' }
p uitgeverijen
# uitlezen van een waarde:
p uitg1 = uitgeverijen[:OREIL]
p uitg1 = uitgeverijen.fetch(:OREIL)
p uitg2 = uitgeverijen[:APRESS]      # geeft nil
# p uitg2 = uitgeverijen.fetch(:APRESS)     # geeft exception: key not found (IndexError)
p uitg2 = uitgeverijen.fetch(:APRESS, 'uitgeverij niet gevonden')     # geeft 'uitgeverij niet gevonden'
p uitgeverijen.has_key?(:OREIL)       # geeft true
p uitgeverijen.has_key?(:APRESS)    # geeft false
p uitgeverijen.has_value?('The Pragmatic Bookshelf')   # geeft true
# sorteer uitgeverijen:
p uitgeverijen


   



