=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   15-3-2008
 Versie:  1.0
 Doel: Hashes veranderen.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.8
******************************************************************
=end
# maken van een hash van uitgeverijen:
uitgeverijen = {  'PRAGP' => 'The Pragmatic Bookshelf',
                        'OREIL'   => "O'Reilly & Associates, Inc.",
                        'PEAR'       => 'Pearson Education',
                        'MANN'       => 'Manning Publications Co.',
                        'ADWES'     =>  'Addison Wesley' }
# toevoegen van een item:
uitgeverijen[:WROX] = 'Wiley Publishing, Inc.(Wrox)'
uitgeverijen.store(:WROX, 'Wiley Publishing, Inc.(Wrox)')
uitgeverijen[:WROX] = 'Wiley Publishing (Wrox)'
# verwijderen van een item:
uitgeverijen.delete(:ADWES)
# leegmaken van een hash:
uitgeverijen.clear
# combineren van hashes:
h1 = { 1 => 'a', 2 => 'b'}
h2 = { 1 => 'c' }
h1.update(h2)   
p h1    # geeft {1=>"c", 2=>"b"}
h1 = { 1 => 'a', 2 => 'b'}
p h3 = h1.merge(h2)   # geeft {1=>"c", 2=>"b"}
p h1    # geeft {1=>"a", 2=>"b"}





    




   



