=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   26-3-2008
 Versie:  1.0
 Doel: Command-line argumenten inlezen
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 4 :  4.5
******************************************************************
=end
# stel volgende 3 argumenten: 'Hallo Wereld'  34    "Octopus"
unless ARGV.size == 3     # dit is het verwachte aantal argumenten
  puts 'U moet 3 argumenten opgeven'
  exit                             # stop programma indien input fout
end

p ARGV[0]    # geeft 'Hallo Wereld'
p ARGV[1]    # geeft "34"
p ARGV[2]    # geeft "Octopus"

ARGV.each { |arg| p  arg}

# print naam huidig programma:
p $0             # geeft "command_line.rb"
p __FILE__       # geeft "command_line.rb"
