=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   26-3-2008
 Versie:  1.0
 Doel:    Het serializeren van een object (dump).
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.6
******************************************************************
=end
require 'boek.rb' 
# maak een boek-object:
bk = Boek.new(34,'The Ruby Programming Language',"O'Reilly & Associates, Inc.",
  'boek', 'Matsumoto Yukihiro, David Flanagan','Ruby',444, '978-0-596-51617-8')
# toon de eigenschappen ervan:
bk.toongegevens(bk.nr)
# dump de gegevens:
File.open('boekgegevens', 'w') do |f| 
  Marshal.dump(bk, f) 
end 

