=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   24-3-2008
 Versie:  1.0
 Doel:    Instantievariabelen
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.5
******************************************************************
=end
class Jan
  def initialize(p1, p2)
    @a, @b = p1, p2
  end
     
  def test1
  end
end
jan = Jan.new('kat', 99)

p jan.instance_variable_defined?(:@a)    # geeft true
p jan.instance_variable_defined?("@b")   # geeft true
p jan.instance_variable_defined?("@c")   # geeft false
p jan.instance_variables                       # geeft ["@b", "@a"]

p Jan.instance_methods
p Jan.instance_methods.size
p Jan.instance_methods(false)   # geeft ["test1"]

p Jan.method_defined?('test1')  # geeft true
p jan.respond_to?('test1')         # geeft true

@a = nil
p jan.instance_variable_defined?(:@a)    # geeft true
