=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   22-3-2008
 Versie:  1.0
 Doel:    Klassen en methodes
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.2
******************************************************************
=end
class Klant
  		attr_reader :voornaam, :familienaam
      attr_accessor	:bijnaam, :adres 
  
  def initialize(voornaam,familienaam, adres)
    @voornaam = voornaam
    @familienaam=familienaam
    @adres = adres
    @bijnaam = @voornaam
  end
  
  def zoekboek
  end
  
  def vraaginfo
    puts 'Uw vraag is aangenomen en wordt verwerkt, u krijgt zo spoedig mogelijk antwoord'
  end
  
  def besteldvd
  end
  
  def methode1(a, b, c)
	end
  
  def methode2(*x)
	end
 
	def methode3(a, b, *c)
	end

  def methode4(a, b=2, *c)
	end
  
  # def methode5(a, *b, c)        # geeft syntax-error !
	# end
  
  def method_missing( id, *arguments )  
    puts "Methode #{id} werd opgeroepen, maar niet gevonden. Ze had " + 
      "deze argumenten: #{arguments.join(", ")}"
  end
  
end
# maken van een object:
klantA = Klant.new('Frieda','Brepols','Eikstr. 17, 1000 Brussel')

# checken of een object een bepaalde methode kent:
puts klantA.respond_to?('zoekboek')      # geeft true
puts klantA.respond_to?(:zoekboek)         # geeft true
puts klantA.respond_to?('bestelboek')   # geeft false
#puts klantA.bestelboek  # geeft undefined method `bestelboek' for #<Klant:0x4b37c80> (NoMethodError)
if not klantA.respond_to?('bestelboek')
  klantA.zoekboek
end

if klantA.respond_to?(:vraaginfo)
  klantA.send(:vraaginfo)
end

# argumenten van methodes:
klantA.methode1(1, 2, 3)
# klantA.methode1(1, 2) # geeft fout: in `methode1': wrong number of arguments (2 for 3) (ArgumentError)
klantA.methode2()
klantA.methode2(1)
klantA.methode2(1,2,3)
klantA.methode2(1,2,3,4,5,6,7,8,9,10)
klantA.methode3(1, 2)                # a wordt 1, b wordt 2, c wordt []
klantA.methode3(1, 2, 3, 4)        # a wordt 1, b wordt 2, c wordt [3, 4]
# klantA.methode3(1)                           # in `methode3': wrong number of arguments (1 for 2) (ArgumentError)
klantA.methode4(1)
# opvangen niet bestaande methodes:
klantA.onbekende_methode(1, 2)