=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   26-3-2008
 Versie:  1.0
 Doel:    Toegankelijkheid van methoden en variabelen
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.5
******************************************************************
=end
class Klant
  attr_reader :voornaam, :familienaam
  
  def initialize(voornaam,familienaam)
    @voornaam = voornaam
    @familienaam=familienaam
    @bijnaam = @voornaam
  end
  
  def toonnaam
    "Uw naam is: #{@voornaam} #{@familienaam} en u heeft nu als bijnaam: " + bijnaam
  end
  
  private
  def bijnaam
    @bijnaam
  end
  
end

klant1 = Klant.new('Wim','Huysmans')
# p klant1.bijnaam # geeft private.rb:31: private method `bijnaam' called for #<Klant:0x48c65c8> (NoMethodError)
p klant1.toonnaam