=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   26-3-2008
 Versie:  1.0
 Doel:    Toegankelijkheid van methoden en variabelen
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.5
******************************************************************
=end
def toplevel_methode
  puts 'Ik ben top-level!'
end  

class Persoon 
  
  def initialize(leeftijd) 
    @leeftijd = leeftijd 
  end 
   
  def leeftijdsverschil_met(andere_persoon) 
    (self.leeftijd - andere_persoon.leeftijd).abs 
  end 
  
  protected 
    def leeftijd 
    @leeftijd 
  end 
  
end 

fred = Persoon.new(34) 
tom = Persoon.new(25) 
puts tom.leeftijdsverschil_met(fred)  # geeft 9
# puts tom.leeftijd   # geeft fout: protected method `leeftijd' called for #<Persoon:0x4b389dc @leeftijd=25> (NoMethodError)
toplevel_methode