=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   23-3-2008
 Versie:  1.0
 Doel:    Klassen en methodes
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.3
******************************************************************
=end
require 'boek'  
#require 'xxx'                       # geeft fout: no such file to load -- xxx (LoadError)
#require '../temp/boek'          # relatief pad, is ok
#require 'c:\test\boek'          # kan, maar niet verstandig
#p self,  self.class                # geeft main van class Object
# werken met een Boek-object:
# bk1 = Boek.new()    # opdracht 5.2
bk1 = Boek.new(34,'The Ruby Programming Language',"O'Reilly & Associates, Inc.",
  'boek', 'Matsumoto Yukihiro, David Flanagan','Ruby',444, '978-0-596-51617-8')
bk1.toongegevens(34)

p bk1.class.superclass    # geeft ITKennisitem
p Boek.ancestors          # geeft alle superklassen [Boek, ITKennisitem, Object, Kernel]
p bk1.is_a?(Boek)         # geeft true
p bk1.instance_of?(Boek)  # geeft true
p bk1.kind_of?(Boek)      # geeft true

# testen of een object bk1  van classe Boek is of tot een subclass, of mix-in behoort:
p bk1.class <= Boek              # geeft true
p bk1.class <= ITKennisitem   # geeft true
p bk1.class <= Object           # geeft true
p bk1.class <= Kernel            # geeft true
p bk1.class <= Numeric         # geeft nil

p 'Het actuele uitvoerende script is: ' + $0


