=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   25-3-2008
 Versie:  1.0
 Doel:    Proc en codeblokken.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 6 :  6.2
******************************************************************
=end
def oproepen_blok(&blok)
  p blok.class      # geeft Proc
  blok.call           # geeft: 'Dit codeblok komt in de parameter blok !'
end

oproepen_blok { puts 'Dit codeblok komt in de parameter blok !'} 

lm = lambda { puts 'Deze lambda wordt een codeblok' }
oproepen_blok &lm  # geeft Proc  Deze lambda wordt een codeblok
oproepen_blok(&lm)  # geeft Proc  Deze lambda wordt een codeblok
