=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   27-3-2008
 Versie:  1.0
 Doel:    Sorteren met module Comparable
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 7 :  7.3
******************************************************************
=end
class Klant
  include Comparable
  
  attr_reader :totaalbedrag
  
  def initialize(naam, bedrag)
    @naam = naam
    @totaalbedrag = bedrag
  end
    
  # def <=>(andere_klant) 
    # if self.totaalbedrag < andere_klant.totaalbedrag 
      # -1 
    # elsif self.totaalbedrag > andere_klant.totaalbedrag 
      # 1 
    # else 
      # 0 
    # end 
  # end 
  
  def <=>(andere_klant) 
    self.totaalbedrag <=> andere_klant.totaalbedrag 
  end

end

k1 = Klant.new('Janssens',130)
k2 = Klant.new('Peters',78)
k3 = Klant.new('Willockx',224)
k4 = Klant.new('Lutz',115)
k5 = Klant.new('Dens',205)

# volgende if-test geeft: 'k3 is een betere klant dan k1'
if k3 > k1  # korte schrijfwijze voor k3.>(k1)
  puts 'k3 is een betere klant dan k1'
else
  puts 'k3 is een slechtere klant dan k1'
end

arr_klant  = [k1,k2,k3,k4,k5] # willekeurige greep uit de klanten
arr_klant.sort!.each { |k| puts k.inspect }
# bovenstaande instructie geeft:
#<Klant:0x4b3794c @totaalbedrag=78, @naam="Peters">
#<Klant:0x4b378e8 @totaalbedrag=115, @naam="Lutz">
#<Klant:0x4b37974 @totaalbedrag=130, @naam="Janssens">
#<Klant:0x4b37244 @totaalbedrag=205, @naam="Dens">
#<Klant:0x4b37910 @totaalbedrag=224, @naam="Willockx">