=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   28-3-2008
 Versie:  1.0
 Doel:    Reguliere expressies: patronen
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 8 :  8.2
******************************************************************
=end
# achter # staat de returnwaarde:
p /e/ =~ 'e'                # 0
p /e/ =~ 'regexp'        # 1
# p /?/ =~ 'Heeft Perl nog een toekomst?' # geeft fout: invalid regular expression
p /\?/ =~ 'Heeft Perl nog een toekomst?'  # 27

p /T.m/ =~ 'Tom'      # 0
p /T.m/ =~ 'Tkm'      # 0
p /T[oi]m/ =~ 'Tim'   # 0
p /T[oi]m/ =~ 'Tkm'   # nil

p /[0-9]/ =~ 'Ruby 1.8.6'   # 5
p /Ruby[0-9]/ =~ 'Ruby 1.8.6' # nil
p /Ruby\s[0-9]/ =~ 'Ruby 1.8.6' # 0
p /\d/ =~ 'Ruby 1.8.6'       # 5
p /\D/ =~ 'Ruby 1.8.6'       # 0
p /\s/ =~ 'Ruby 1.8.6'       # 4
p /\d\s/ =~ 'Ruby 1.8.6'    # nil
p /\s\d/ =~ 'Ruby 1.8.6'    # 4
p /\d./ =~ 'Ruby 1.8.6'     # 5
p /\d'/ =~ 'Ruby 1.8.6'    # nil    ' hoort niet bij de string!
p /\d\d\d\d/ =~ '2000'       #  0
