=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   28-3-2008
 Versie:  1.0
 Doel:    Reguliere expressies: patronen, deel 2
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 8 :  8.3
******************************************************************
=end
# achter # staat de returnwaarde:
# 0 of 1 wordt ?
p /Me?v?r\.?/  =~ 'De maker van Ruby, Mr. Matsumoto'    # 19
# 0 of meer wordt *
p /\w\w\w\s*\d\d\d/ =~ 'BCD 479'       # 0
p /\w\w\w\s*\d\d\d/ =~ 'BBD   479'   # 0
p /\w\w\w\s*\d\d\d/ =~ 'ABC479'        # 0
p /a*/ =~ 'ABC479'      # 0
# 1 of meer wordt +
p /\d+/ =~ 'ABC479'      # 3
p /\d+/ =~ 'ABCDEF'      # nil
# Een bepaald aantal n met { n }
p /\d{4}/ =~ '2000'       #  0
p /\d{3}-\d{4}/ =~ '555-1212' # 0
p /\d{3}-\d{4}/ =~ '555 - 1212' # nil
p /\d{3}\s-\s\d{4}/ =~ '555 - 1212' # 0
# Herhalende groep van karakters  (  ) {  }
p /([A-Z]\d){3}/  =~ 'D3A1G7'  # 0
p /([A-Z]\d){3}/  =~ 'WED3A1G7'  # 2
# Patroon aan het begin ^ of einde $
comment_regexp = /^#/
commentaarlijn1 = '# dit is een commentaarlijn'
commentaarlijn2 = '   # dit is een commentaarlijn die begint met spaties'
p comment_regexp =~ commentaarlijn1 # 0
p comment_regexp =~ commentaarlijn2 # nil
comment_regexp = /^\s*#/
p comment_regexp =~ commentaarlijn1 # 0
p comment_regexp =~ commentaarlijn2 # 0
# Meerdere patronen mogelijk, gebruik |
vorma = '23'
vormb = '789'
p /\d{2}|\d{3}/ =~ vorma # 0
p /\d{2}|\d{3}/ =~ vormb # 0
p /\d{2} | \d{3}/ =~ vormb # 0