require File.dirname(__FILE__) + '/../test_helper'

class UitgeverijsControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:uitgeverijs)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_uitgeverij
    assert_difference('Uitgeverij.count') do
      post :create, :uitgeverij => { }
    end

    assert_redirected_to uitgeverij_path(assigns(:uitgeverij))
  end

  def test_should_show_uitgeverij
    get :show, :id => uitgeverijs(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => uitgeverijs(:one).id
    assert_response :success
  end

  def test_should_update_uitgeverij
    put :update, :id => uitgeverijs(:one).id, :uitgeverij => { }
    assert_redirected_to uitgeverij_path(assigns(:uitgeverij))
  end

  def test_should_destroy_uitgeverij
    assert_difference('Uitgeverij.count', -1) do
      delete :destroy, :id => uitgeverijs(:one).id
    end

    assert_redirected_to uitgeverijs_path
  end
end
