class WinkelController < ApplicationController
  require 'kar'
  require 'kar_item'
  
  def index
     @products = Product.find_producten_voor_verkoop
     @kar = ophalen_kar
     #@page_title = '*** ITMEDIA! ***'
     #@huidige_tijd  = Time.now.strftime('%d/%m/%Y %H:%M:%S')
  end
  
  def toevoegen_aan_kar
      begin
         product = Product.find(params[:id])
      rescue ActiveRecord::RecordNotFound
         error = "U probeert een niet bestaand product #{params[:id]} op te halen"
         logger.error(error)
         redirect_to_index(error)
      else
         @kar = ophalen_kar
         @huidig_item = @kar.voeg_product_toe(product)
         if request.xhr?
           respond_to { |format| format.js }
         else
           redirect_to :action => :index
         end
      end
  end
      
  def leegmaken_kar
    session[:kar] = nil
    redirect_to_index('Uw winkelkar is leeg')
  end
    
  private
  def ophalen_kar
    # maak een nieuwe (lege kar) als deze nog niet bestaat, geef anders de bestaande kar terug:
    session[:kar] ||= Kar.new
  end
  
  def redirect_to_index(msg)
    flash[:melding] = msg
    redirect_to :action => :index
  end
  
end
