require File.dirname(__FILE__) + '/../test_helper'

class SoortsControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:soorts)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_soort
    assert_difference('Soort.count') do
      post :create, :soort => { }
    end

    assert_redirected_to soort_path(assigns(:soort))
  end

  def test_should_show_soort
    get :show, :id => soorts(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => soorts(:one).id
    assert_response :success
  end

  def test_should_update_soort
    put :update, :id => soorts(:one).id, :soort => { }
    assert_redirected_to soort_path(assigns(:soort))
  end

  def test_should_destroy_soort
    assert_difference('Soort.count', -1) do
      delete :destroy, :id => soorts(:one).id
    end

    assert_redirected_to soorts_path
  end
end
