class Order < ActiveRecord::Base
  belongs_to :klant
  has_many :orderlijns
  
  BETALINGS_TYPES = [      # Weergegeven     waarde in database
                                        [ "Cheque",               "ch" ],
                                        [ "Kredietkaart",         "kk" ],
                                        [ "Overschrijving",       "ov" ]
                                ]
  validates_inclusion_of :betalings_type, :in =>  BETALINGS_TYPES.map {|disp, value| value}
  
  def toevoegen_orderlijnen_vanuit_kar(kar)
      kar.items.each do |item|
        li = Orderlijn.van_kar_item(item)    # maakt orderlijn li met kar_item
        orderlijns << li
      end
  end
      
end
