=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   21-4-2008
 Versie:  1.0
 Doel: TCP server
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.4
*******************************************************************
=end
# server get_tcp2.rb :
# krijgt een tekst door op de TCP socket op poort 1000 van de lokale machine, 
# gezonden door de client send_tcp2.rb, en drukt deze af:
# variant voor server die meerdere requests kan verwerken, tot input het woord stop bevat:
require 'socket'

port = 1000
server = TCPServer.new(port)

while sock = server.accept
  while input = sock.gets
    break if input =~ /stop/
    print "Boodschap ontvangen: #{input}\n"
   end
  print "Server shutdown, tot ziens!"
  sock.close
end
  