=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   30-3-2008
 Versie:  1.0
 Doel:    Bereken omgekeerde van een getal.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 9 :  9.3 - OPDRACHT 9.2
******************************************************************
=end
def omgekeerde(n)
  raise(TypeError,'n moet een getal zijn') unless n.is_a? Numeric
  raise(ArgumentError,'n moet verschillend zijn van 0') unless n != 0
  resultaat = 1.0 / n
  puts 'Het omgekeerde is: ' + resultaat.to_s
end

def omgekeerde2(n)
  resultaat = 1.0 / n
  puts 'Het omgekeerde is: ' + resultaat.to_s
  rescue Exception => e
     puts  e.backtrace   
     puts 'n moet een getal zijn: '  + e.message 
end

omgekeerde(5)
omgekeerde(1)
omgekeerde(0)
omgekeerde('abc')

omgekeerde2(5)
omgekeerde2(1)
omgekeerde2(0)
omgekeerde2('abc')