=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   4-4-2008
 Versie:  1.0
 Doel: Logger demo
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 10:  10.5
*******************************************************************
=end
require 'logger'
$log = Logger.new($stdout)
#$log = Logger.new('logfile.log', 5, 10*1024)
$log.level = Logger::INFO 
$tijd = Time.now
$username = 'Lucas'

class CEO                                                        
  def CEO.nieuwe_visie
   $log.info("#{$username} logged on #{$tijd}")
   $log.info("In klasse CEO, methode CEO.nieuwe_visie")
   $log.warn("De CEO waarschuwt")
   Manager.verwezenlijk_visie                                
  end                                                            
end                                                              

class Manager                                            
  def Manager.verwezenlijk_visie                     
  $log.info("In klasse Manager, methode Manager.verwezenlijk_visie")
  $log.warn("De Manager waarschuwt")
  Ingenieur.doe_het_werk                                      
  end                                                          
end                                                            

class Ingenieur                                            
  def Ingenieur.doe_het_werk
    $log.info("In klasse Ingenieur, methode Ingenieur.doe_het_werk")
    $log.warn("De Ingenieur: Ik zal wel weer het werk doen.")
    $log.error("De Ingenieur: dit loopt hier mis!")
    #puts 'Ik zal wel weer het werk doen.'                     
   end                                                            
end                                                              

CEO.nieuwe_visie         