=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   3-4-2008
 Versie:  1.0
 Doel: Testen met Test::Unit
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 10:  10.4
*******************************************************************
=end
require 'test/unit'
require 'klant2'

class Test_Klant < Test::Unit::TestCase

  def setup
    @klant = Klant.new('Peter','Vermeulen',35)
    @klant1 = Klant.new('p','vermeulen',35)
    @klant2 = Klant.new('peter','v',35)
    @klant3 = Klant.new('','',35)
    @klant4 = Klant.new('  peter',' vermeulen    ',35)
    @klant6 = Klant.new('PETER','VERMEULEN',35)
    @klant7 = Klant.new('PETer','verMEULEN',35)
    @klant8 = Klant.new('Johan','van buggenhout',19)
    @klant9 = Klant.new('5lbert','?meganck',24)
  end
  
  def teardown
    @klant = @klant1 = @klant2 = @klant3 = @klant4 = nil
    @klant6 = @klant7 = @klant8 = @klant9 = nil
  end

  def test_voornaam
    assert_equal('Peter',@klant.voornaam)
    assert_not_equal('Peter',@klant1.voornaam)
    #assert_raise(ArgumentError) {@klant1 = Klant.new('p','vermeulen',35)}
    assert_equal('Peter',@klant2.voornaam)
    assert_not_equal('Peter',@klant3.voornaam)
    assert_equal('Peter',@klant4.voornaam)
    assert_equal('Peter',@klant6.voornaam)
    assert_equal('Peter',@klant7.voornaam)
  end
  
  def test_familienaam
    assert_equal('Vermeulen',@klant.familienaam)
    assert_equal('Vermeulen',@klant1.familienaam)
    assert_not_equal('Vermeulen',@klant2.familienaam)
    assert_not_equal('Vermeulen',@klant3.familienaam)
    assert_equal('Vermeulen',@klant4.familienaam)
    assert_equal('Vermeulen',@klant6.familienaam)
    assert_equal('Vermeulen',@klant7.familienaam)
    assert_equal('Van Buggenhout',@klant8.familienaam)
  end

  def test_leeftijd
    assert_equal(35,@klant.leeftijd)
    assert_equal(19,@klant8.leeftijd)
    assert_equal(24,@klant9.leeftijd)
    #flunk
  end

end
  
   


       
