=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   13-4-2008
 Versie:  1.0
 Doel: Interactie met besturingssysteem
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.2
*******************************************************************
=end
# os.rb :
puts File.join('volledig','pad','bestand.txt') # geeft volledig/pad/bestand.txt in Windows
puts RUBY_PLATFORM     # geeft i386-mswin32
case RUBY_PLATFORM
  when /win32/:  puts 'dit is Windows!'
  when /darwin/: puts 'dit is OS X!'
  when /linux/:    puts 'dit is Linux!'
end
# environment ENV-hash:
puts ENV.size
ENV.each { |e| puts e.join(': ') }
# andere commando's of programma's oproepen:
x = system('dir')   # x krijgt de waarde true
x = %x{dir}
puts x
x = `dir`
puts x
puts x.class
# ander programma oproepen:
exec 'ruby mappen.rb'

