=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   20-4-2008
 Versie:  1.0
 Doel: Basis netwerk-operaties
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.4
*******************************************************************
=end
# ping.rb :
require 'rubygems'
require 'net/ping'
# locale machine:
if Net::PingExternal.new('localhost').ping
  puts 'OK, mijn computer antwoordt!'
else
  puts 'Geen antwoord van mijn computer!'
end
# www.google.nl :
if Net::PingExternal.new('www.google.nl').ping
  puts 'OK, Google Nederland antwoordt!'
else
  puts 'Geen antwoord van Google Nederland!'
end
# aanvaard www.google.nl browser-requests ?
if Net::PingTCP.new('www.google.nl', 80).ping
  puts 'OK, de webserver van Google Nederland is actief!'
else
  puts 'Geen antwoord van de webserver van Google Nederland!'
end