=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   20-4-2008
 Versie:  1.0
 Doel: Basis netwerk-operaties
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.4
*******************************************************************
=end
# resolv.rb :
require 'resolv'
# omzetting van hostnaam naar ipadres(sen):
puts Resolv.getaddress('www.google.nl') # geeft 66.249.93.99
# meerdere adressen ?
Resolv.each_address('www.google.nl') do |ip|
  puts ip
end                     # geeft 66.249.93.104 - 66.249.93.147 - 66.249.93.99 - 66.249.93.104
# omzetting van ipadres naar hostnaam:
ip = '66.249.93.99'
begin
  puts Resolv.getname(ip)   # geeft ug-in-f99.google.com
rescue
  puts "Geen hostnaam bekend voor ip-adres: #{ip}"
end