=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   5-3-2008
 Versie:  1.0
 Doel: Datum en tijd.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.6
******************************************************************
=end
require 'date'

puts d = Date.today   # geeft huidige datum
t = Time.new            
puts t                      # geeft huidige datum en tijd
# maken van een datum:
puts d2 = Date.parse('12-3-2008')
# d3 = Date.parse('35-3-2008')      # deze en volgende lijn geven: invalid date(ArgumentError)
# d4 = Date.parse('29-2-2007')
# onderdelen van een datumtijd:
puts d.year
puts t.year
puts t.month
puts t.day
puts t.hour
puts t.min
puts t.sec
puts t.gmt?               # is dit een Greenwich Mean Time (UTC) ?
puts t.gmtime            # zet om in Greenwich Mean Time (UTC) ?
# formatteren van datumtijd:
t = Time.new
puts t.strftime("%d-%m-%Y")       # geeft bvb. 12-03-2008
puts t.strftime("%a %d-%b-%Y")  # geeft bvb. Wed 12-Mar-2008
puts t.strftime("%H uur %M min %S sec")  # geeft enkel de tijd weer


