=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   15-3-2008
 Versie:  1.0
 Doel: Hashes zoeken, filteren, iteraties.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.8
******************************************************************
=end
uitgeverijen = {  'PRAGP' => 'The Pragmatic Bookshelf',
                        'OREIL' => "O'Reilly & Associates, Inc.",
                        'PEAR'   => 'Pearson Education',
                        'MANN'   => 'Manning Publications Co.',
                        'ADWES'  =>  'Addison Wesley' }
# iteratie over de items:
uitgeverijen.each do |code, naam|
    puts "De naam van de uitgeverij met code #{code} is: #{naam}"
end
uitgeverijen.each_key do |code|
    puts "De code van de uitgeverij is: #{code}"
  end
  uitgeverijen.each_value do |naam|
    puts "De naam van de uitgeverij is: #{naam}"
end
# filteren:
p uitgeverijen.find { |code, naam| code == 'MANN' }  # geeft ["MANN", "Manning Publications Co."]
p uitgeverijen.find_all { |code, naam| code > 'O' }  
  # geeft [["PRAGP", "The Pragmatic Bookshelf"], ["OREIL", "O'Reilly & Associates, Inc."], ["PEAR", "Pearson Education"]]
# map-methode:
p uitgeverijen.select { |code, naam| code > 'O' }  

p uitgeverijen.map { |code, naam| code.downcase } # geeft ["adwes", "pragp", "mann", "oreil", "pear"]
p uitgeverijen





    




   



