=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   5-3-2008
 Versie:  1.0
 Doel: String vergelijkingen - deel 3.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.3
******************************************************************
=end
# zoeken naar een deelstring:
s = 'The Ruby Cookbook'
puts s.include?('Ruby') # geeft true
puts s.index('Ruby')     # geeft 4
puts s.index('Perl')     # geeft nil
# vergelijken waarde van strings:
str1 = 'abc'
str2 = 'abc'
puts str1 == str2       # dit geeft true
# case-sensitive !
str3 = 'aBc'
puts str1 == str3       # dit geeft false
# zelfde objecten ?
puts str1.object_id
puts str2.object_id
puts str1.equal?(str2)  # dit geeft false
# opdracht 1:
puts str1 == str1        # dit geeft true
puts str1.equal?(str1)  # dit geeft true
# opdracht 2:
str1 = 'abc'
str2 = str1
puts str1.equal?(str2)  # dit geeft true
puts str1 == str2        # dit geeft true
# lege string:
str_leeg = '' 
puts str_leeg
str_nil = nil
puts str_nil
puts str_leeg == str_nil
# test of een string leeg is:
puts str_leeg.empty?  # geeft true
# < en >:
str4 = 'def'
puts str1 < str4    # geeft true

