=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   21-3-2008
 Versie:  1.0
 Doel: Bestanden lezen en schrijven met while
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 4 :  4.5
******************************************************************
=end
# bestand_met_while.rb:
# klanten lezen uit een file en op scherm tonen:
arr_klanten = []
File.open('klanten.txt', 'r') do |f|
    while line = f.gets
      puts line
      # hieronder verwerking van de lijngegevens:
    end
  end
puts 'Het einde van het bestand is bereikt'
# versie met each_line:
File.open('klanten.txt', 'r') do |f|
    f.each_line { |line| puts line }
    # f.each { |line| puts line }   # each zonder parameter verdeelt op newline-karakter
  end
puts 'Het einde van het bestand klanten is bereikt'
# versie met each, gescheiden door ;
File.open('klanten2.txt', 'r') do |f|
     f.each(';') { |line| puts line }
  end
puts 'Het einde van het bestand klanten2 is bereikt'