=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   18-3-2008
 Versie:  1.0
 Doel: Condities testen met if.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 4 :  4.2
******************************************************************
=end
aantal_in_voorraad = 4
if aantal_in_voorraad > 1   #  then
  puts 'Dit product kan besteld worden'
end
str = 'Dit product kan besteld worden'
if aantal_in_voorraad > 1 then puts str end
if aantal_in_voorraad > 1: puts str end

aantal_in_voorraad = 1
# else tak:
if aantal_in_voorraad >= 1   
  puts 'Dit product kan besteld worden'
else
  puts 'Sorry, dit product is niet in voorraad!'
end

# if met elsif:
if aantal_in_voorraad >= 3   
  puts 'Dit product kan besteld worden'
elsif aantal_in_voorraad >= 1   # aantal is 1 of 2
  puts 'Dit product kan besteld worden'
  puts 'Boodschap voor magazijn: product bij te bestellen!'
else                                      # aantal is 0 !
  puts 'Sorry, dit product is niet in voorraad!'
end

# if not en unless:
if not (aantal_in_voorraad >= 3) 
  puts 'Bericht aan magazijn: bestel dit product bij'
end
unless (aantal_in_voorraad >= 3) 
  puts 'Bericht aan magazijn: bestel dit product bij'
end

aantal_in_voorraad = 7
# modifiers:
puts 'Er is nog voldoende voorraad' if aantal_in_voorraad >= 5  
if aantal_in_voorraad >= 5 then puts 'Er is nog voldoende voorraad' end
puts 'Er is nog voldoende voorraad' unless aantal_in_voorraad < 5  

# testen of een variabele een waarde bevat:
a = nil
if a.nil?
	puts 'variabele a heeft nog geen waarde'
end

unless a
	puts 'variabele a heeft nog geen waarde'
end

a = 5
if a
	puts "variabele a heeft een waarde, namelijk #{a}"  # <--
else
  puts 'variabele a heeft nog geen waarde'
end

puts "variabele a heeft een waarde, namelijk #{a}"   if a
puts 'variabele a moet nog een waarde krijgen' unless a

if defined? a
  puts 'De variabele a is gedefinieerd'   # <--
else
  puts 'De variabele a is onbekend'
end
  
# de waarde van een if-structuur:
a = 3
b = 2
c = -4
p x = if a < 0 then b else c end    # x wordt -4
p 	x = a < 0 ? b : c                      # idem, met de ternary operator:


