=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   18-3-2008
 Versie:  1.0
 Doel: Voorwaarden.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 4 :  4.1
******************************************************************
=end
aantal_in_voorraad = 4
p aantal_in_voorraad > 1           # geeft true
p !(aantal_in_voorraad < 1)        # geeft true
p aantal_in_voorraad == 4          # geeft true
aantal_te_bestellen = 10           # dit is een toekenning van een waarde
p aantal_te_bestellen == 10        # dit is een test of beide waarden gelijk zijn, geeft true
p aantal_in_voorraad == aantal_te_bestellen   # geeft false
# en (and) tussen voorwaarden:
klantnaam = 'Janssens'
paswoord = 'A9503pnu+'
p (klantnaam == 'Janssens') and (paswoord == 'A9503pnu+')   # geeft true
# of (or) tussen voorwaarden:
p (aantal_te_bestellen == 10) or (aantal_in_voorraad < 1)   # geeft true
# verschillend van:
a = 3
b = 2
p a != b    # geeft true
# toepassingen van short cirtcuit evaluation:
# een waarde toekennen aan een variabele:
a ||= b
p a     # geeft 3 (de waarde van a)
a = nil
a ||= b
p a     # geeft 2 (de waarde van b)
# toepassing bij een hash:
hash1 = {}
p hash1   # geeft {}
sleutel = 3
woord = 'Ruby'
hash1[sleutel] ||= woord
p hash1  # geeft {3=>"Ruby"}

