=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   23-3-2008
 Versie:  1.0
 Doel:    Klassen en methodes
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.3
******************************************************************
=end
require 'itkennisitem'

class Boek < ITKennisitem
  attr_reader :aantalpaginas, :isbnnr
        
  def initialize(nr,naam,uitgever,type,auteur,onderwerp, aantalpaginas, isbnnr)
    super(nr,naam,uitgever,type,auteur,onderwerp)
    @aantalpaginas = aantalpaginas
    @isbnnr = isbnnr
  end
  
  def toongegevens(nr)
    super(nr)
    gegevens = "      het boek heeft isbn-nummer: #{@isbnnr} en telt #{aantalpaginas} blz."
    puts gegevens
  end
  
  def maakindex
  end
  
  def vraaginfo
    puts 'Uw vraag over dit boek wordt zo spoedig mogelijk beantwoord'
  end
  
end

# testcode:
if $0 == __FILE__ 
  puts 'Ik zit nu te testen in het script boek.rb'
end