=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   24-3-2008
 Versie:  1.0
 Doel:    Klassemethoden
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.5
******************************************************************
=end
require 'boek'
require 'klant'

bk1 = Boek.new(34,'The Ruby Programming Language',"O'Reilly & Associates, Inc.",
  'boek', 'Matsumoto Yukihiro, David Flanagan','Ruby',444, '978-0-596-51617-8')
p Boek.class    # geeft Class
# alle klassen zijn objecten van Class, zelfs Object :
p Array.class      # geeft Class
p Object.class     # geeft Class
p Class.class      # geeft Class
class1 = Class.new
p class1.class     # geeft Class
obj1 = Object.new
p obj1.class       # geeft Object

# uitbreiding klasse Klant met een klassemethode:
class Klant
  
  def Klant.zoek_klant_meestebestellingen
  end
  
  def self.zoek_klant_meestebestellingen
  end
  
  class << self
    def zoek_klant_meestebestellingen
    end
  end
  
end