=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   5-4-2008
 Versie:  1.0
 Doel: Iteratie 
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 5 :  5.6
******************************************************************
=end
class Fixnum
  
  def faculteit
    return ( self * (self - 1).faculteit )  if self > 0 
    return 1 
  end
  
  def Fixnum.faculteit(n)
    if n > 0
      n * Fixnum.faculteit(n-1)
    else
      1
    end
  end
  
end

p 5.faculteit     # 120
p 20.faculteit   # 2432902008176640000
p 1.faculteit     # faculteit van 1 is 1
p 0.faculteit     # faculteit van 0 is 1
p 52.faculteit   #  80658175170943878571660636856403766975289505440883277824000000000000

p Fixnum.faculteit(5)     # 120
p Fixnum.faculteit(20)   # 2432902008176640000
p Fixnum.faculteit(1)     # faculteit van 1 is 1
p 0.faculteit     # faculteit van 0 is 1
p 52.faculteit   #  80658175170943878571660636856403766975289505440883277824000000000000
