=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   24-3-2008
 Versie:  1.0
 Doel:    Methode en codeblok werken samen.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 6 :  6.1
******************************************************************
=end
# \t is een Tab-karakter:
BTW = 0.21
netto_prijzen = [15, 27.5, 46.5, 53, 78, 100, 145]

def rapport_prijzen_inclusief(netto)
  puts "Netto-prijs \t Prijs inclusief BTW"
  for pr in netto
    prijs_inclusief = yield(pr)
    puts "#{pr} \t \t \t #{prijs_inclusief}"  # \t is het tab-karakter
  end
end

rapport_prijzen_inclusief(netto_prijzen) { |prijs| prijs * ( 1 + BTW) }