=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   27-3-2008
 Versie:  1.0
 Doel:    Modules
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 7 :  7.1
******************************************************************
=end
module ModA
  def methode1
    puts 'methode1 in ModA'
  end
  
  def ModA.methode2
    puts 'modulemethode ModA.methode2'
  end
end

module ModB
  def methode1
    puts 'methode1 in ModB'
  end
  def methode2
    puts 'methode2 in ModB'
  end
end

module ModC
end

class Test2
  include ModC
end

class Test1 < Test2
  include ModA, ModB
end

p Test1.ancestors # geeft: [Test1, ModA, ModB, Test2, ModC, Object, Kernel]
#m1 = ModA.new # geeft fout: undefined method `new' for ModA:Module (NoMethodError)
t1 = Test1.new
t1.methode1   # geeft: methode1 in ModA
t1.methode2   # geeft: methode2 in ModB
ModA.methode2 # geeft: module-methode ModA.methode2

