=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   28-3-2008
 Versie:  1.0
 Doel:    Reguliere expressies
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 8 :  8.1
******************************************************************
=end
# maken van regexp en testen met =~ 
p /by/ =~ 'Ruby on Rails'   # geeft 2
puts 'Gevonden!' if /by/ =~ 'Ruby on Rails'  # geeft Gevonden!

p /123/ =~ 'Ruby on Rails'   # geeft nil
# volgende if geeft: "Patroon niet herkend"
if /123/ =~ 'Ruby on Rails'
 p 'Patroon gevonden'
else
 p 'Patroon niet herkend'
end
 
re = Regexp.new('by')
p re.class    # geeft Regexp
p re =~ 'Ruby on Rails' # geeft 2

p %r(by) =~ 'Ruby on Rails'   # geeft 2 

# maken van regexp en testen met match-methode:
p /by/.match('Ruby on Rails')     # geeft MatchData-object : <MatchData:0x4b38220>
p 'Ruby on Rails'.match(/by/)      # idem
puts 'Gevonden!' if /by/.match('Ruby on Rails')   # geeft Gevonden!
puts 'Gevonden!' if 'Ruby on Rails'.match(/by/)   # geeft Gevonden!
p re.match('Ruby on Rails')         # geeft MatchData-object
p %r(by).match('Ruby on Rails')  # geeft MatchData-object

# !~
p /Pyth/ !~ 'Ruby on Rails'   # geeft true
p /by/ !~ 'Ruby on Rails'      # geeft false
