=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   28-3-2008
 Versie:  1.0
 Doel:    Reguliere expressies: String- en array-methodes
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 8 :  8.5
******************************************************************
=end
# string-interpolatie:
str = 'def'
p /abc#{str}/   # geeft /abcdef/
# scan :
a = "Hallo beste klanten"
p a.scan(/\w+/)  # geeft ["Hallo", "beste", "klanten"]
# split:
p 'ITMedia'.split(//)  # geeft ["I", "T", "M", "e", "d", "i", "a"]
#sub en gsub:
p "tipfout".sub(/i/,"y") # geeft "typfout"
p "maak van de eerste klinker een hoofdletter".sub(/[aeiou]/) {|s| s.upcase}
p "maak van alle klinkers hoofdletters".gsub(/[aeiou]/) {|s| s.upcase}

# array-methodes:
arr = ['abc','abcdefghgdhghj5','sguygzuyg']
p arr.select{|str| str.size > 10 and /\d/.match(str) }   # geeft ["abcdefghgdhghj5"]
# onderstaande instructie geeft ["Verboven", "Willems"] als resultaat:
p ['COECK','Verboven','Willems','DEVUGHT'].select { |naam| /[a-z]/.match(naam) }

# idem, korter met grep-methode:
p ['COECK','Verboven','Willems','DEVUGHT'].grep (/[a-z]/) 