=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   30-3-2008
 Versie:  1.0
 Doel:    Controleren op syntaxfouten
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 9 :  9.1
******************************************************************
=end
class Klant
  		attr_reader :voornaam, :familienaam 
      attr_accessor	:bijnaam 
  
  def initialize(voornaam,familienaam)
    @voornaam = voornaam
    @familienaam=familienaam
    @bijnaam = @voornaam
  end
    
end

klant1 = Klant.new('Jan','Kersschot')
puts klant1.voornaam + ' ' + klant1.familienaam
puts 'De bijnaam van klant1 is: ' + klant1.bijnaam    
#klant1.voornaam = 'Frank'    # geeft NoMethodError
klant1.bijnaam = 'kerjan'       
puts 'De bijnaam van klant1 is gewijzigd: ' + klant1.bijnaam

# 1 / 0
# 5 + 'abc'	
# klant2 = Klant.new('Tom')
#f = File.open('test.txt','r')

# Checks op fouten:
# syntaxfouten:
# 1 end weglaten van initialize:
#  end
# geeft fout: checkfouten.rb:27: syntax error, unexpected $end, expecting kEND puts 'De bijnaam van klant1 is gewijzigd: ' + klant1.bijnaam
# 2 : geen ) achter initialize
#def initialize(voornaam,familienaam
  # geeft fout: checkfouten.rb:15: syntax error, unexpected tIVAR, expecting ')'
  #  @voornaam = voornaam
  #           ^
  #checkfouten.rb:20: syntax error, unexpected kEND, expecting $end
# exceptions:
# 1
#klant1 = Klantnew('Jan','Kersschot')
# checkfouten.rb:22: undefined method `Klantnew' for main:Object (NoMethodError)
# 2
#klant1.voornaam = 'Frank'    # geeft NoMethodError vanwege attr_reader :voornaam
# 3
# 1 / 0 # geeft checkfouten.rb:29:in `/': divided by 0 (ZeroDivisionError)
# 4
# 5 + 'abc'	 # geeft checkfouten.rb:30:in `+': String can't be coerced into Fixnum (TypeError)
# 5
# klant2 = Klant.new('Tom') checkfouten.rb:31:in `initialize': wrong number of arguments (1 for 2) (ArgumentError)
# 6
#f = File.open('test.txt','r') # geeft checkfouten.rb:32:in `initialize': No such file or directory - test.txt (Errno::ENOENT)