# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  before_filter :inlogcontrole, :except => :login
  
  helper :all # include all helpers, all the time
  # See ActionController::RequestForgeryProtection for details
  # Uncomment the :secret if you're not using the cookie session store
  session :session_key => '_itmedia_session_id'
  protect_from_forgery  :secret => '78cccef782f78709aa2d43c400f12c3e'

  protected
  def inlogcontrole
      unless session[:inlog_ok]
          session[:originele_uri] = request.request_uri
          redirect_to :controller => :beheer, :action => :login
      end
  end

end
