class UitgeverijsController < ApplicationController
  # GET /uitgeverijs
  # GET /uitgeverijs.xml
  def index
    @uitgeverijs = Uitgeverij.find(:all)

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @uitgeverijs }
    end
  end

  # GET /uitgeverijs/1
  # GET /uitgeverijs/1.xml
  def show
    @uitgeverij = Uitgeverij.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @uitgeverij }
    end
  end

  # GET /uitgeverijs/new
  # GET /uitgeverijs/new.xml
  def new
    @uitgeverij = Uitgeverij.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @uitgeverij }
    end
  end

  # GET /uitgeverijs/1/edit
  def edit
    @uitgeverij = Uitgeverij.find(params[:id])
  end

  # POST /uitgeverijs
  # POST /uitgeverijs.xml
  def create
    @uitgeverij = Uitgeverij.new(params[:uitgeverij])

    respond_to do |format|
      if @uitgeverij.save
        flash[:notice] = 'Uitgeverij was successfully created.'
        format.html { redirect_to(@uitgeverij) }
        format.xml  { render :xml => @uitgeverij, :status => :created, :location => @uitgeverij }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @uitgeverij.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /uitgeverijs/1
  # PUT /uitgeverijs/1.xml
  def update
    @uitgeverij = Uitgeverij.find(params[:id])

    respond_to do |format|
      if @uitgeverij.update_attributes(params[:uitgeverij])
        flash[:notice] = 'Uitgeverij was successfully updated.'
        format.html { redirect_to(@uitgeverij) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @uitgeverij.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /uitgeverijs/1
  # DELETE /uitgeverijs/1.xml
  def destroy
    @uitgeverij = Uitgeverij.find(params[:id])
    @uitgeverij.destroy

    respond_to do |format|
      format.html { redirect_to(uitgeverijs_url) }
      format.xml  { head :ok }
    end
  end
end
