class CreateOrderlijns < ActiveRecord::Migration
  def self.up
    create_table :orderlijnen do |t|
          t.integer :order_id, :null => false, :options =>
          "constraint fk_orders_orderlijnen foreign key (order_id) references orders(id)"
          t.integer :product_id, :null => false, :options =>
          "constraint fk_producten_orderlijnen foreign key (product_id) references producten(id)"
          t.integer :aantal, :null => false
          t.decimal :lijn_prijs, :null => false, :precision => 8, :scale => 2
      t.timestamps
    end
  end

  def self.down
    drop_table :orderlijnen
  end
end

  
  
  