=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   16-3-2008
 Versie:  1.0
 Doel: Bestanden lezen en schrijven.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.9 OPDRACHT 3.12
******************************************************************
=end
# klanten lezen uit een file en in een array stockeren:
arr_klanten = []
File.open('klanten.txt', 'r') do |f|
  arr_klanten = f.readlines
end
# overschrijven naar een hash:
hs_klanten = {}
arr_klanten.each_with_index do |klantnaam, ix|
  nr = ix + 1
  hs_klanten.store(nr, klantnaam.chomp!)
end
p hs_klanten
p hs_klanten[3]    # geeft "Marjolein Peeters"
hs_klanten = hs_klanten.sort
# wegschrijven in een bestand:
File.open('klantennr.txt', 'w') do |f|
  hs_klanten.each do |key, value|
    str_klant = key.to_s  + ',' + value
    f.puts str_klant
  end
end

