=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   21-3-2008
 Versie:  1.0
 Doel: Oefening: wissel de inhoud van 2 bestanden.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 4 :  4.5 - OPDRACHT 4.6
******************************************************************
=end
def copieerbestand(bestand1, bestand2)  # kopieer bestand1 --> bestand2
  f2 = File.open(bestand2, 'w')
  f1 = File.open(bestand1, 'r')
  while line = f1.gets
    f2.puts line
  end
  f1.close
  f2.close
end

def copieerbestand2(bestand1, bestand2)
  File.open(bestand2, 'w') do |f2|
    File.open(bestand1, 'r') do |f1|
      while line = f1.gets
        f2.puts line
      end
    end
  end
end

# hoofdroutine:
copieerbestand('bestand1', 'temp')
copieerbestand('bestand2', 'bestand1')
copieerbestand('temp', 'bestand2')
# versie 2
copieerbestand2('bestand1', 'temp')
copieerbestand2('bestand2', 'bestand1')
copieerbestand2('temp', 'bestand2')
# opkuis:
File.delete('temp')